Command line error #13

Closed
DaveBlooman opened this Issue Jan 21, 2013 · 1 comment

2 participants

@DaveBlooman

Getting the following error when using tool on command line - imagediff -d image1 image2 output

/usr/local/lib/node_modules/imagediff/node_modules/canvas/lib/bindings.js:9
throw e;
^
Error: Cannot find module '../build/default/canvas'
at Function.Module._resolveFilename (module.js:338:15)
at Function.Module._load (module.js:280:25)
at Module.require (module.js:362:17)
at require (module.js:378:17)
at Object. (/usr/local/lib/node_modules/imagediff/node_modules/canvas/lib/bindings.js:7:20)
at Module._compile (module.js:449:26)
at Object.Module._extensions..js (module.js:467:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:362:17)

@cesutherland cesutherland added a commit that referenced this issue Jan 23, 2013
@cesutherland cesutherland Update canvas and node depdendencies.
For windows support, it was requested a newer version of node canvas be
required.  Updated to 1.x of node canvas.

Relates to #12 and #13.
7c87adc
@cesutherland
HumbleSoftware member

I've updated the canvas and node dependencies. Please check if your issue is fixed with the latest 1.0.4 npm.

@DaveBlooman DaveBlooman closed this Oct 6, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment